Bug 54905 - Add support for newer VT8233 audio chips
Add support for newer VT8233 audio chips
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Garzik
: FutureFeature
: 64888 66385 68207 74422 75804 75861 77917 (view as bug list)
Depends On:
Blocks: 74422
  Show dependency treegraph
Reported: 2001-10-22 18:43 EDT by Martin Dahlberg
Modified: 2013-07-02 22:05 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-14 17:10:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch, from Alan Cox, to add support for new Via audio chips (16.69 KB, patch)
2002-12-09 14:36 EST, Jeff Garzik
no flags Details | Diff

  None (edit)
Description Martin Dahlberg 2001-10-22 18:43:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.8-26mdkenterprise i686)

Description of problem:
When trying to add my soundcard I simply cant get the sound sample to work.
Sndconfig does recognize the AC97 but wont play the sample. Manual
configuration wont work either.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start sndconfig
2. Accept to play sound sample
3. Accept to configure manually

Actual Results:  No sound sample can be heard

Expected Results:  The sound sample should have been heard

Additional info:

CPU: AMD Thunderbird 1200
Motherboard: AOpen AK73-1394
RAM memory: 1024 MB

NOTE that sound could be properly configured using the exact same hardware
when using sndconfig in RedHat 7.1
Comment 1 Bill Nottingham 2001-10-22 22:06:31 EDT
Sounds like a driver problem - assigning to the kernel.
Comment 2 Doug Brunelle 2001-11-03 21:49:11 EST
* When booting up KDE, a dialog box pops up saying "Sound Server informational 
message: Error while initializing the sound driver:  device /dev/dsp can't be 
opened (no such device). The sound server will continue, using the null output 
* Motherboard: Shuttle AK31 rev 3.1;  KT266A chipset, VT8366A Northbridge, 
VT8233 Southbridge
* Linux version 7.2, installed from the boxed set CD
* running sndconfig from a shell gives the following message: 
		PCI Probe Results:
                    " The VIA Technologies|AC97 Audio       ?
                   ? Controller is not supported           ?
                   ? currently; however, the ALSA project  ?
                   ? (http://www.alsa-project.org/) has a  ?
                   ? driver for this card."
* went to the ALSA site and looked at the documentation. There is a driver file, but 
it is not clear whether this file would be safe to compile into the Linux kernel. Can I 
get clarification/guidance from Red Hat?
* will a RHN update be made available that will update my Red Hat 7.2 so that the 
AC97 sound will work? 

Comment 3 John Smith 2001-11-17 02:57:33 EST
This report sounds very similar to my problem. I have an Acer Travelmate 522TXV
laptop. Sndconfig identifies the card ([ALi]|M5451 PCI South Bridge Audio) and
identifies the appropriate driver (trident), which worked fine under RH 7.1. But
I get no sound output (true for all three kernels -- 2.4.7-10, 2.4.9-7,
2.4.9-13). lsmod shows that soundcore, ac97_codec and trident are loaded. The
IRQ and IOport shown in /proc are the right ones -- but no output. Most programs
play an appropriate length of silence; xine segfaults when it reaches the audio
setup section.
Comment 4 Davide Bolcioni 2001-11-18 13:01:37 EST
  in my case (athlon, VIA VT82C686) sound works only if I launch gmixer first;
subsequent investigation also turn out that

  /sbin/aumix-minimal -f /etc/.aumixrc -L

also works. The above line (redirections omitted) was added to modules.conf by
sndconfig (for sound-slot-0), but apparently it is not executed. I did some
experimentation with modprobe -v, but even in the case when modprobe reported
executing the above, i.e. with modprobe sound-slot-0, the speaker was silent
until I ran the exact same line from the shell.

I am suspecting some interaction with PAM manipulating permissions of the
sound devices.
Comment 5 John Smith 2001-11-19 00:33:50 EST
Hmm. Running aumix-minimal "works" for me too. However, adding the command to
the end of rc.local doesn't help -- as the previous contributor said, it really
does have to be typed in at a shell prompt, so presumably it is executed from
modules.conf but something stops it working properly.

Also, though I now get sound after running the command, it still hasn't
completely worked -- xine still segfaults when it reaches its audio setup
Comment 6 John Smith 2001-11-19 03:57:37 EST
Hmm again. Coincidence maybe, but since starting to use the aumix-minimal trick
yesterday I have had two system crashes of a sort I have never seen before --
when I close the lid to suspend the machine, it freezes solid and I have to pull
the plug.

Back to 2.4.2-2 *again* ...
Comment 7 Brad Smith 2001-12-31 18:12:06 EST
I have a related problem. I have 2 users in addition to root on this system.
Sound works some of the time, but often a user or root will get an informational
message when KDE starts that says: 

Error while initializing the sound driver.
device /dev/dsp can't be opened (Permission denied)

The only solution I have found is a reboot.
System: RedHat 7.2 upgraded from RedHat 7.1. Problem did not occur on RH 7.1.
Sound card is a SB Live!.

Please let me know if additional information is needed.

Brad Smith
Comment 8 Paul Gear 2002-10-05 06:33:18 EDT
This still seems to be the case on 8.0 for boards with newer VIA chipsets.  I
have a Gigabyte 7VRX with the following devices listed in lspci:

00:00.0 Host bridge: VIA Technologies, Inc. VT8367 [KT266]
00:01.0 PCI bridge: VIA Technologies, Inc. VT8367 [KT333 AGP]
00:11.0 ISA bridge: VIA Technologies, Inc. VT8233A ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc. VT82C586B PIPC Bus Master IDE (rev 06)
00:11.2 USB Controller: VIA Technologies, Inc. USB (rev 23)
00:11.3 USB Controller: VIA Technologies, Inc. USB (rev 23)
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233 AC97 Audio
Controller (rev 40)

Sound does not work (even though it is recognised by sndconfig and
redhat-config-sound), and the UATA133 support causes errors when there's a
UATA33 DVD drive as a slave on the same bus.
Comment 9 Jeff Garzik 2002-10-08 10:51:55 EDT
The via82cxxx_audio driver does not yet support VT8233 chipsets.
Comment 10 Jeff Garzik 2002-10-08 10:54:05 EDT
*** Bug 74422 has been marked as a duplicate of this bug. ***
Comment 11 Jeff Garzik 2002-10-09 10:38:48 EDT
*** Bug 68207 has been marked as a duplicate of this bug. ***
Comment 12 Jeff Garzik 2002-10-16 11:15:07 EDT
*** Bug 75861 has been marked as a duplicate of this bug. ***
Comment 13 Jeff Garzik 2002-10-21 11:21:13 EDT
*** Bug 76318 has been marked as a duplicate of this bug. ***
Comment 14 Jeff Garzik 2002-10-21 11:32:18 EDT
*** Bug 64888 has been marked as a duplicate of this bug. ***
Comment 15 Jeff Garzik 2002-10-21 11:36:24 EDT
*** Bug 66385 has been marked as a duplicate of this bug. ***
Comment 16 Jeff Garzik 2002-10-25 13:29:39 EDT
*** Bug 75804 has been marked as a duplicate of this bug. ***
Comment 17 Jeff Garzik 2002-10-25 13:37:33 EDT
*** Bug 76516 has been marked as a duplicate of this bug. ***
Comment 18 wong_mp 2002-10-26 06:16:35 EDT
It appears that the 2.4.18-17.7.x kernel is not exporting some symbols needed 
to link with the via82cxxx_audio module. Because 2.4.18-10 works, and the 
kernel code is not likely to drastically change for such a minor version no, I 
suspect that the cause could be setting a wrong switch when compiling.
Comment 19 Need Real Name 2002-11-11 15:50:34 EST
bought a new SiEMENS-PC with onboard VIA VT8233 AC97. get no sound in Linux RH
8. Win-Xp works properly. all other, like MDK, DEB or SUSI work proper too.
RH 8 can4t find a /dev/dsp or /dev/dsp0.
watched VIA Site. there is no driver for RH8 available (just RH7.3).
somebody told me to use OSS drivers, but won4t work.
ALSA doesn4t work with this kernel.
Comment 20 Need Real Name 2002-12-04 10:08:21 EST
I have exactly the same problem. Installed RH8.0 no problem while detecting the
VIA VT8233 AC97, but no sound!!
Is there already a solution for this problem?
Comment 21 Jeff Garzik 2002-12-09 12:01:03 EST
*** Bug 77917 has been marked as a duplicate of this bug. ***
Comment 22 Jeff Garzik 2002-12-09 14:36:57 EST
Created attachment 88064 [details]
Proposed patch, from Alan Cox, to add support for new Via audio chips
Comment 23 Jeff Garzik 2002-12-09 14:38:05 EST
To all:

Please try the above patch, just attached, from Alan Cox.  It should provide
support for VT8233 chips, which is the central problem behind this bug.
Comment 24 Kamlesh 2002-12-12 00:17:44 EST
Could someone direct me as to how to use that patch? I am 5 days old on Linux. 
Forgive me if this is not the place for this query. 
Thanks in advance,
Comment 25 Nishikant Karmali 2002-12-12 08:28:51 EST
I am new to linux and just installed RH8.0 using via motherboard.
can some kind soul email me the instructions (detail) how to download
and install this patch? I see 'patch'  ,  'create a new attachment' , 'show dependencies' links
in this mail. Please help.
Thank you,

Comment 26 Toralf 2002-12-16 03:18:04 EST
Note that VIA tech support recommend using the ALSA drivers. Installing
alsa-kernel and alsa-driver from http://freshrpms.net and adding

alias sound-slot-0 snd-via82xx
below sound-slot-0 snd-mixer-oss snd-pcm-oss

to /etc/modules.conf did the trick for me.

Question: When will ALSA be officially supported?

Comment 27 Need Real Name 2002-12-16 16:07:53 EST
..wish a nice day toralf,

..read your news to ALSA for REDHAT8. thats all, just kernel
 and driver from source and some changes in modules.conf????

will it really work and solve that ugly sound problem with VT8233 for
newer VIA-boards ????

I downloaded from "freshrpms"

- alsa-kernel-o.9... as RPM and
- alsa-driver-0.9... as SRC

I will try and see.

if there are some more tricks, plzz tell me :))

  greets from germany

Comment 28 Need Real Name 2002-12-16 16:40:46 EST
..sorry , my system does not accept (AMD2200)
plzz send me a detailed instruction list and plzz a copy of your
/etc/modules.conf to my f.m. email-account

...seasons greets
Comment 29 Flemming Sorensen 2002-12-19 09:32:25 EST
I have tried to apply the patch to sources from kernel-2.4.18-18.8.0.src.rpm but
"Hunk #6 FAILED at 372". Am I using the wrong sources? I'm new to this so would
appreciate a pointer in the right direction. And a big THANK YOU to everyone
involved in making it possible for me to have this great operating system.
Comment 30 Jeff Garzik 2003-01-14 17:10:55 EST
Alan Cox's patches for VT8233 audio support in via82cxxx_audio driver have been
merged into the latest 8.1 beta kernel, so this issue has been resolved.
Comment 31 Paul Gear 2003-01-17 20:24:47 EST
I just upgraded my 8.0 system to the latest kernel in rawhide, and new sound
driver works well for me.  For the information of newbies who might want to try
it, here is the rpm list which i installed due to dependencies:


I also had to recompile my NVIDIA_kernel, which didn't work because the new
kernel was built with gcc 3.2.1 rather than 3.2 (with which the last 2.4.18
kernel was built).  I reverted to the 2D nv driver in XFree86 for the time being
and everything is happy.  Looks like when 8.1 finishes its beta cycle, we will
have pretty good support for VT8233!  Thanks a lot!
Comment 32 Kiblet 2004-06-23 05:46:28 EDT
Sorry, but I'm not exactly new to Linux and I'm not sure what to do
with this patch either, in the way of installing it.  How is it
installed?  Actually, I'm using Fedora Core 2 but having the same
problem and wanted to give the patch a try.  Thank you.
Comment 33 Nicu Buculei 2004-06-23 06:12:09 EDT
Kiblet, the audio chipset VT8233 should work out of the box in FC2,
without any additional patch

Note You need to log in before you can comment on or make changes to this bug.